MARTe2-core - User story #195

Implement multi-platform code sharing

19.08.2015 14:55 - Riccardo Vitelli

Status: Closed
Priority: Normal
Assignee:

Category:

Target version: 0.4

Git branch (link):

Git merge to develop
(link):

Start date:
Due date:

% Done:

Estimated time:

Spent time:

SVN commit
(link/?p=rev):

19.08.2015

0%
0.00 hour
0.00 hour

Description
Implement LOPortability "Generic".

Source code files modified
Architecture & design review

As per the original MARTe implementation, this is a support function and does not require formal design in UML.

Code and documentation review

Date of the review: 01/09/2015
Person who did the review: Ivan Herrero
Result of review: PASS

List of non-conformities: N/A

Unit test review

Date of the review: 02/09/2015

Person who did the review: lvan Herrero
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A

Note: No new unit tests were added for this user story.

Source/Core/LOPortability/OperatingSystem/Generic/MemoryOperationsHelper_CLIB_Generic.cpp
Source/Core/L0Portability/OperatingSystem/Generic/StandardHeap_Generic.cpp
Source/Core/L0Portability/OperatingSystem/Generic/StandardHeap_Generic.h
Source/Core/L0Portability/OperatingSystem/Generic/StringHelper_CLIB_Generic.cpp
Source/Core/L0Portability/OperatingSystem/Generic/StringHelper_Portable_Generic.cpp
Source/Core/L0Portability/OperatingSystem/Generic/StringHelperExtras_Generic.cpp
Source/Core/L0Portability/OperatingSystem/Generic/ThreadsDatabase_Generic.cpp
Source/Core/L0Portability/OperatingSystem/Generic/ThreadsDatabase_Generic.h
#1 - 24.08.2015 15:15 - Riccardo Vitelli

- Target version changed from Backlog to 0.4

#2 - 24.08.2015 15:23 - Riccardo Vitelli

- Description updated

#3 - 24.08.2015 15:25 - Riccardo Vitelli

- Status changed from New to Code: Impl

#4 - 25.08.2015 17:46 - Giuseppe Ferro
- Status changed from Code: Impl to Code: Rev

#5 - 27.08.2015 10:12 - Riccardo Vitelli

- Assignee set to Ivan Herrero

#6 - 01.09.2015 12:32 - Ivan Herrero

- Description updated

#7 - 01.09.2015 12:32 - lvan Herrero
- Status changed from Code: Rev to Unit: Rev

#8 - 02.09.2015 17:47 - lvan Herrero
- Description updated

#9 - 03.09.2015 11:21 - André Neto
- Status changed from Unit: Rev to Closed

- Assignee deleted (Ilvan Herrero)
